Install AbuseFilter on FileImporter test wiki and add a few meaningful rules
Closed, ResolvedPublic5 Story Points

Description

Motivation
In order to be able to test that using the AbuseFilter actually works, we need to create a test environment that can do so

Task

  • On the FileImporter Test wiki, install the AbuseFilter
  • Add a set of rules to the AbuseFilter that best reflects the different kinds of checks the AbuseFilter can do, and that are easy to fail
Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 20 2018, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tobi_WMDE_SW triaged this task as Normal priority.Mar 20 2018, 3:29 PM
Tobi_WMDE_SW set the point value for this task to 5.
Lea_WMDE updated the task description. (Show Details)Mar 21 2018, 10:09 AM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-03-20 board.

Added a Cronjob that automatically pulls master for http://mwfileimport.wmflabs.org/wiki/index.php/Special:ImportFile every 30 minutes

@Andrew-WMDE @WMDE-Fisch could you give me hints what are the rules and what I can do to test this?

@Lea_WMDE So some demo AbuseFilter rules can be found here: http://mwfileimport.wmflabs.org/wiki/index.php?title=Special:AbuseFilter
The first rule, for example, blocks an import if it's wikitext contains the word "papaya". Therefore, an easy test would be to add the word "papaya" to the pages wikitext during the import process and when you click on import an error message should then appear.

Lea_WMDE closed this task as Resolved.Wed, Apr 4, 10:04 AM